Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453685 - [QLogic 5.3 feat] [1/n] qla2xxx- Upstream updates: 8.01.07-k7
Summary: [QLogic 5.3 feat] [1/n] qla2xxx- Upstream updates: 8.01.07-k7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Marcus Barrow
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 22:03 UTC by Marcus Barrow
Modified: 2009-06-20 04:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 19:59:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
8.01.07-k7 updates (deleted)
2008-07-01 22:13 UTC, Marcus Barrow
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Marcus Barrow 2008-07-01 22:03:16 UTC
Provide updates / bugfixes from upstream. There have been many fixes and improvements upstream so 
these updates will be batched and submitted in groups.

These are updates from version 8.01.07-k7:

commit cbedb601868821c9bfdcf1e9194be160deceeecb
[SCSI] qla2xxx: Add MSI support.

commit a157b1014f9eaf7f80f9105defed2117c5f6653c
[SCSI] qla2xxx: Correct pci_set_msi() usage semantics.

commit 75edf81d337ea84a291f0fdae2777cfd07045eca
[SCSI] qla2xxx: Attempt to stop firmware only if it had been previously executed.

commit a7b6184225d747e5ae0bee30a388e6ebb70d5b8e
[SCSI] qla2xxx: Honor NVRAM port-down-retry-count settings.

commit 665db93b8a5fc6a11e2ace6b20569420a353d037
[SCSI] qla2xxx: Remove duplicate pci_disable_device() call

commit 1196ae025ba4a36eb9e6baab57ba903d36139ff2
[SCSI] qla2xxx: fix for byteswap in fc_host fabric_name

Comment 1 Marcus Barrow 2008-07-01 22:13:09 UTC
Created attachment 310731 [details]
8.01.07-k7 updates

Comment 3 Don Zickus 2008-09-15 14:18:02 UTC
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 6 Chris Ward 2008-11-14 14:05:02 UTC
~~~ Attention Partners! ~~~

Please test this URGENT / HIGH priority bug at your earliest convenience to ensure it makes it into the upcoming RHEL 5.3 release. The fix should be present in the Partner Snapshot #2 (kernel*-122), available NOW at ftp://partners.redhat.com. As we are approaching the end of the RHEL 5.3 test cycle, it is critical that you report back testing results as soon as possible. 

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field to indicate this. If you find that this issue has not been properly fixed, set the bug status to ASSIGNED with a comment describing the issues you encountered.

All NEW issues encountered (not part of this bug fix) should have a new bug created with the proper keywords and flags set to trigger a review for their inclusion in the upcoming RHEL 5.3 or other future release. Post a link in this bugzilla pointing to the new issue to ensure it is not overlooked.

For any additional questions, speak with your Partner Manager.

Comment 7 Marcus Barrow 2008-11-18 02:08:36 UTC
Patch verified in 2.6.18-123.el5

Comment 9 errata-xmlrpc 2009-01-20 19:59:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.